Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.adaptor.pdf
Class Encrypt

    java.lang.Object
      multivalent.std.adaptor.pdf.Encrypt

public class Encrypt
extends java.lang.Object

Encryption handler: instantiate subclass according to Filter. Encryption applies to all strings and streams in the document's PDF file, but not to other object types.

Version:
  $Revision: 1.13 $ $Date: 2003/08/29 04:00:10 $
See Also:
  `SecurityHandlerStandard`, `SecurityHandlerPublicKey`

Constructor Summary
`Encrypt(Dict edict, COSSource coss)` Constructs a new encryption object from parameters in an encryption dictionary.

Method Summary
`CryptFilter` | `getCryptFilter(Dict stream)` Returns crypt filter to use for stream.
`CryptFilter` | `getCryptFilter(java.lang.String name)` Returns crypt filter named name.
`SecurityHandler` | `getSecurityHandler()` Returns SecurityHandler associated with document.
`CryptFilter` | `getStmF()`
`CryptFilter` | `getStrF()`
`int` | `getV()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Encrypt

    public Encrypt(Dict edict,
                   COSSource coss)

  Constructs a new encryption object from parameters in an encryption dictionary.

Method Detail

### getStmF

    public CryptFilter getStmF()

### getStrF

    public CryptFilter getStrF()

### getSecurityHandler

    public SecurityHandler getSecurityHandler()

  Returns SecurityHandler associated with document. It is unclear whether in PDF 1.5 a document can have more than one handler; if so this method will be removed in favor of such a method on CryptFilter.

### getV

    public int getV()

### getCryptFilter

    public CryptFilter getCryptFilter(java.lang.String name)

  Returns crypt filter named name.

### getCryptFilter

    public CryptFilter getCryptFilter(Dict stream)
                               throws java.io.IOException

  Returns crypt filter to use for stream. If PDF version is >=1.5, recognizes `/Crypt` filter, if any.

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD